{{ with $.Page.Scratch.Get "marginalcount" }}
  {{ $marginalcount := $.Page.Scratch.Get "marginalcount"}}
{{ else }}
  {{/* first call, so marginalcount is 1 */}}
  {{ $.Page.Scratch.Set "marginalcount" 1 }}
{{ end }}

{{ $marginalcount := $.Page.Scratch.Get "marginalcount"}}

{{if $.Page.Params.margin_notes}}
<small id="snref:{{$marginalcount}}" title="See sidenote {{$marginalcount}}"><a href="#sn:{{$marginalcount}}">({{$marginalcount}})</a></small>
<span id="sn:{{$marginalcount}}" class='marginal'>
  {{ with .Get "text"}}
    <a href="#snref:{{$marginalcount}}">{{$marginalcount}}</a> -- {{ . | safeHTML }}
  {{ else }}
    {{ with .Inner}}
    <a href="#snref:{{$marginalcount}}">{{$marginalcount}}</a> -- {{ . | markdownify}}
    {{ else }}
      {{ errorf "No valid text variable or Inner content given"}}
    {{ end }}
  {{ end}}
</span>
{{end}}

{{ $.Page.Scratch.Set "marginalcount" (add $marginalcount 1) }}